Patches for aports can be sent to this list

1

[alpine-aports] [PATCH 1/2] community/cacti: bump to 1.1.25

Daniel Isaksen
Details
Message ID
<20170929153243.27608-1-d@duniel.no>
Sender timestamp
1506699162
DKIM signature
missing
Download raw message
Patch: +2 -2
---
 community/cacti/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/community/cacti/APKBUILD b/community/cacti/APKBUILD
index 94e307c614..89f06fd6ea 100644
--- a/community/cacti/APKBUILD
+++ b/community/cacti/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Valery Kartel <valery.kartel@gmail.com>
 # Maintainer: Jeff Bilyk <jbilyk@gmail.com>
 pkgname=cacti
-pkgver=1.1.24
+pkgver=1.1.25
 pkgrel=0
 pkgdesc="The complete rrdtool-based graphing solution"
 url="http://www.cacti.net"
@@ -131,7 +131,7 @@ _php() {
 		"$subpkgdir"/etc/$php/php-fpm.d/$pkgname.conf
 }
 
-sha512sums="85599b3cd5c3aad79f1d5213558df3047329484704ef54963fc14a31257f762d4ab3f3d201073e7ba62700f60c9a14d458c8eb193f263ef5edad62ce3c544ed7  cacti-1.1.24.tar.gz
+sha512sums="f5574cf0ba9d8fa39a6e547c9fe2a3c007901987abb82ff50d63672009bbf257ee58f47f02cea512dda6809e880e87e8a3ad826c26a9421f195569816d6489e0  cacti-1.1.25.tar.gz
 70f47dbbca76489fc3a84452ee8065f9571ee627b3e346cd3c866501d723a609372c4fbd7e53c4bdcdb22439d876d78847f8902dfa43f3f66b2329639e795ab9  cacti.crontab
 9b3fe765c6196c0e4988efaa7236d8a8b945725548371b4a0e2a371de374c9577a908d58dcef5a4e59e089ca923cfeb7c5ddea9ee983a5115239052cf9b8ab59  cacti.nginx.conf
 695a5e8439ef0ed29068c87b1d711f66c5a24cf31c3c213784f83d6aef8608a07e99bfa2343a6487762572b6022926c3846f704494c7806e9a1aa2c49e18513b  cacti.php-fpm.conf"
-- 
2.14.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] testing/elvish: new aport

Daniel Isaksen
Details
Message ID
<20170929153243.27608-2-d@duniel.no>
In-Reply-To
<20170929153243.27608-1-d@duniel.no> (view parent)
Sender timestamp
1506699163
DKIM signature
missing
Download raw message
Patch: +39 -0
---
 testing/elvish/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/elvish/APKBUILD

diff --git a/testing/elvish/APKBUILD b/testing/elvish/APKBUILD
new file mode 100644
index 0000000000..2ac48bc7f4
--- /dev/null
+++ b/testing/elvish/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Daniel Isaksen <d@duniel.no>
+pkgname=elvish
+pkgver=0.10.1
+pkgrel=0
+pkgdesc="A friendly and expressive shell for Linux, macOS and BSDs"
+url="https://elvish.io/"
+arch="all"
+license="BSD-2-Clause"
+depends=""
+makedepends="go"
+options="!check"
+source="$pkgname-$pkgver.tar.gz::https://github.com/elves/$pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/src/github.com/elves/$pkgname"
+
+prepare() {
+	cd "$srcdir"
+
+	mkdir -p "${builddir%/*}"
+	mv "$srcdir"/$pkgname-$pkgver "$builddir"/
+
+	cd "$builddir"
+
+	default_prepare
+}
+
+build() {
+	export GOPATH="$srcdir"
+	cd "$builddir"
+
+	make get || return 1
+	go build -buildmode=pie -v || return 1
+}
+
+package() {
+	install -Dm755 "$srcdir"/bin/elvish -t "$pkgdir"/usr/bin
+	install -Dm644 "$builddir"/LICENSE -t "$pkgdir/usr/share/licenses/$pkgname/"
+}
+
+sha512sums="dd4a190b0a91550e719b2d38f82877fb32033032d9114282117c112327daaa0844a508a3f9a6b97c997135b7c815794241291e1c881616c674bb61c9a21b291c  elvish-0.10.1.tar.gz"
-- 
2.14.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---